
-- Load the subscription 
-- Save the subscription to preferences
AllSettings = PatchDataLoad(Turbine.DataScope.Server,"SubBenefit_Settings")
if type(AllSettings) ~= "table" then
   AllSettings = {} --this is a table of tables
end

if type(AllSettings.people) ~= "table" then AllSettings.people = {} end
if type(AllSettings.options) ~= "table" then AllSettings.options = {} end
Settings = AllSettings.people
Options = AllSettings.options
defaults = {["sub"]=true, ["empty"]=true, ["carry"]=true,["moving"]=false}

for key,val in pairs(defaults) do
   if Options[key] == nil then
      Options[key] = val
   end
end
if AllSettings.x == nil then AllSettings.x = 100 end
if AllSettings.y == nil then AllSettings.y = 100 end

function Save() 
   PatchDataSave(Turbine.DataScope.Server, "SubBenefit_Settings", AllSettings)
end
plugin.Unload = function(sender,args)
   Save()
end
